Index: libraries/javalib/kaffe/applet/AppletViewer.java
===================================================================
RCS file: /home/cvspublic/kaffe/libraries/javalib/kaffe/applet/AppletViewer.java,v
retrieving revision 1.5
diff -u -r1.5 AppletViewer.java
--- AppletViewer.java	1998/11/26 02:29:11	1.5
+++ AppletViewer.java	1998/12/03 15:13:13
@@ -73,6 +73,7 @@
 
 		st.lowerCaseMode( true);
 		st.ordinaryChar('/');
+		st.ordinaryChar('\'');
 
 		while ( (ttype = st.nextToken()) != st.TT_EOF ) {
 			if ( ttype == '<' ){
@@ -118,23 +119,26 @@
 	catch ( Exception e) {
 		e.printStackTrace();
 		showStatus( "cannot start applet");
-		e.printStackTrace();
 	}
 }
 
 public void actionPerformed ( ActionEvent e ) {
 	String cmd = e.getActionCommand();
 	if ( "Quit".equals( cmd)) {
-		app.stop();
-		app.destroy();
+		if (app != null) {
+			app.stop();
+			app.destroy();
+		}
 		dispose();
 	}
 	else if ( "Stop".equals( cmd)) {
-		app.stop();
+		if (app != null)
+			app.stop();
 		showStatus( "applet stopped");
 	}
 	else if ( "Start".equals( cmd)) {
-		app.start();
+		if (app != null)
+			app.start();
 		showStatus( "applet started");
 	}
 }
@@ -254,12 +258,18 @@
 			else if ( st.sval.equals( "height") ) {
 				st.nextToken();
 				st.nextToken();
-				appletSize.height = (int)st.nval;
+				if (st.ttype == st.TT_NUMBER)
+					appletSize.height = (int)st.nval;
+				else
+					appletSize.height = Integer.parseInt(st.sval);
 			}
 			else if ( st.sval.equals( "width") ) {
 				st.nextToken();
 				st.nextToken();
-				appletSize.width = (int)st.nval;
+				if (st.ttype == st.TT_NUMBER)
+					appletSize.width = (int)st.nval;
+				else
+					appletSize.width = Integer.parseInt(st.sval);
 			}
 			break;
 
@@ -274,6 +284,8 @@
 	String val = null;
 
 	while ( st.nextToken() != '>' ) {
+		if (st.sval == null)
+			continue;
 		if ( st.sval.equals( "name") ) {
 			st.nextToken();
 			st.nextToken();
@@ -293,6 +305,7 @@
 
 	if ( ( key != null) && ( val != null) ) {
 //System.out.println( "put: " + key + " " + val);
+		key = key.toLowerCase();
 		paramDict.put( key, val);
 	}
 }
@@ -347,8 +360,10 @@
 }
 
 public void windowClosing(WindowEvent e) {
-	app.stop();
-	app.destroy();
+	if (app != null) {
+		app.stop();
+		app.destroy();
+	}
 	dispose();
 }
 
